Log in local user
curl --request POST \
--url https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"username": "user101",
"password": "ABC123"
}
'import requests
url = "https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login"
payload = {
"username": "user101",
"password": "ABC123"
}
headers = {
"x-site-context": "<x-site-context>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({username: 'user101', password: 'ABC123'})
};
fetch('https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'username' => 'user101',
'password' => 'ABC123'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login"
payload := strings.NewReader("{\n \"username\": \"user101\",\n \"password\": \"ABC123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login")
.header("x-site-context", "<x-site-context>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"username\": \"user101\",\n \"password\": \"ABC123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"username\": \"user101\",\n \"password\": \"ABC123\"\n}"
response = http.request(request)
puts response.read_body{
"_id": "596f7557696e2d4d617a616c546f7621",
"userId": "6169b2d892a5f30009d76480",
"roles": "customer",
"name": "Pat E Kake",
"account": "xxxxxcxxxxxxxxxxxxxx",
"userType": "customer",
"accessToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4...",
"refreshToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
}{
"error": "LOCAL_AUTH_FAILED",
"code": "400",
"message": "Username or password is invalid"
}{
"error": "USER_DEACTIVATED_ERROR",
"code": "401",
"message": "User is already deactivated"
}Auth
Log in local user
Log in local user with password
POST
/
api-commerceIdentity
/
auth
/
local
/
login
Log in local user
curl --request POST \
--url https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"username": "user101",
"password": "ABC123"
}
'import requests
url = "https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login"
payload = {
"username": "user101",
"password": "ABC123"
}
headers = {
"x-site-context": "<x-site-context>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({username: 'user101', password: 'ABC123'})
};
fetch('https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'username' => 'user101',
'password' => 'ABC123'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login"
payload := strings.NewReader("{\n \"username\": \"user101\",\n \"password\": \"ABC123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login")
.header("x-site-context", "<x-site-context>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"username\": \"user101\",\n \"password\": \"ABC123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/login")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"username\": \"user101\",\n \"password\": \"ABC123\"\n}"
response = http.request(request)
puts response.read_body{
"_id": "596f7557696e2d4d617a616c546f7621",
"userId": "6169b2d892a5f30009d76480",
"roles": "customer",
"name": "Pat E Kake",
"account": "xxxxxcxxxxxxxxxxxxxx",
"userType": "customer",
"accessToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4...",
"refreshToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
}{
"error": "LOCAL_AUTH_FAILED",
"code": "400",
"message": "Username or password is invalid"
}{
"error": "USER_DEACTIVATED_ERROR",
"code": "401",
"message": "User is already deactivated"
}Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Response
Sign-in response
Sign-in response body
Was this page helpful?
